# OpsAsk gem specification
# N.B. Will be reified as a gem_package
default['opsask']['gem'] = {
  'name' => 'opsask'
}

# Group for OpsAsk directories, files, and services
# N.B. Will be reified as a group
default['opsask']['group'] = {
  'name' => 'opsask',
  'system' => true
}

# Group for OpsAsk directories, files, and services
# N.B. Will be reified as a user
default['opsask']['user'] = {
  'name' => 'opsask',
  'gid' => 'opsask',
  'shell' => '/bin/false',
  'system' => true
}

# Set limit for OpsAsk
default['opsask']['limits'] = {
  'nofile' => '1024 1024'
}

# Pass options to OpsAsk
default['opsask']['opts']['port'] = 3000
default['opsask']['opts']['bind'] = '0.0.0.0'
default['opsask']['opts']['environment'] = 'production'
default['opsask']['opts']['config'] = '/etc/opsask.json'

# Configure OpsAsk
default['opsask']['config'] = {
  'queue_size' => 5,
  'cutoff_hour' => 18,
  'assignee' => 'username',
  'jira_user' => 'username',
  'jira_pass' => 'password',
  'jira_url' => 'http://jira',
  'jira_private_key' => 'opsask.pem',
  'jira_consumer_key' => 'opsask'
}